# Carrier DB Trial

Welcome to Carrier DB Trial!

Carrier DB is designed to be the most memory efficient server platform for
everybody's in-memory data structure access needs.

Carrier DB combines TLS encryption, secure defaults, and support for modern
space efficient data structure operations all built-in and ready to use.

Carrier DB supports both legacy memcached and legacy redis data protocols for
extended data operations for easy-use by hundreds of existing client libraries.
We also offer a more specialized Carrier Cache with only legacy memcached
support for basic string manipulation if you don't end up needing the advanced
data structures available with Carrier DB.

In this server distribution, you'll find:

- server launcher: `carrier-db-trial`
- optimized all-in-one binaries: `carrier-db-trial-{microarchitecture}`
- sample configuration file: `sample.conf`
- licenses pertaining to all permissively licensed software included, bundled,
  or consulted during the creation of Carrier DB Trial: `LICENSES.xz` (note: does not
  pertain to the license of Carrier DB Trial itself) 


Trial releases are fully unlocked with no feature restrictions, but the server
process will exit between 2 to 7 days of uptime.

## Getting Started

Carrier DB Trial ships with a unified loader to run the appropriate
optimized binary for your platform.

Start Carrier DB Trial by running:

- carrier-db-trial 
- carrier-db-trial --config sample.conf

The microarchitecture-optimized binary for your platform must be in the same
directory as carrier-db-trial for the launcher to properly launch your server.


## Docs

Carrier DB uses the same configuration format as Carrier Cache.

Operation and configuration guides are available at:

- https://carrierdb.cloud/
- https://carriercache.com/getting-started
- https://carriercache.com/specs


## Licenses

Production server licenses and support can be purchased at:

- https://carriercache.com/pricing

If you have any questions about production licensing or support agreements,
just email sales@carrierdb.cloud


## Support

If you have any questions about operations or feedback in general,
just email questions@carrierdb.cloud
